Bug 1011494 - jBPM datasource not updated to use new database driver URL
jBPM datasource not updated to use new database driver URL
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER4
: ---
Assigned To: Thomas Hauser
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 08:35 EDT by Stefan Bunciak
Modified: 2014-02-06 10:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:26:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Bunciak 2013-09-24 08:35:58 EDT
Description of problem:

After installing FSW 6.0.0.ER3 and configuring new database driver (e.g. mysql/mariadb) jBPM Datasource remains configured to use H2 instead of newly created database driver configured during installation process.

Version-Release number of selected component (if applicable):
6.0.0.ER3

How reproducible:


Steps to Reproduce:
1. Install FSW 6.0.0.ER3
2. In post-installation steps define new database driver
3. Check standalone.xml for datasource definitions

Actual results:


Expected results:


Additional info:
Comment 1 Stefan Bunciak 2013-09-24 08:44:08 EDT
Actually driver is updated but the connection url remains the same as for H2 - so obviously incorrect:

                <datasource jndi-name="java:jboss/datasources/jbpmDS" pool-name="jbpmDS" use-java-context="true">
                    <connection-url>jdbc:h2:${jboss.server.data.dir}/jbpm5/jbpm</connection-url>
                    <driver>mysql</driver>
                    <security>
                        <user-name>soa</user-name>
                        <password>soa</password>
                    </security>
                </datasource>
Comment 2 Thomas Hauser 2013-09-24 14:50:14 EDT
This issue will be resolved by the resolution of https://bugzilla.redhat.com/show_bug.cgi?id=1011571
Comment 3 Thomas Hauser 2013-09-30 10:30:39 EDT
This issue should be checked along with 1011571
Comment 4 Stefan Bunciak 2013-10-03 07:37:30 EDT
Verified in FSW 6.0.0.ER4

Note You need to log in before you can comment on or make changes to this bug.